Skip to main content
POST
CSharp (SDK)

Authorizations

Authorization
string
header
required

Send Authorization: Bearer , using an MKA1 API key for automation or an OAuth API access token for a signed-in application. Use a dynamic security callback to refresh OAuth access tokens. Browser session-only operations still require their declared cookie.

Headers

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Body

application/json
name
string
required
Required string length: 1 - 120
teamId
string
required
Minimum string length: 1
scopes
string[]
required
Minimum array length: 1
Minimum string length: 1
expiresIn
integer
Required range: x <= 9007199254740991
rateLimitEnabled
boolean
default:false
rateLimitTimeWindow
rateLimitMax
number
Required range: x >= 1
onBehalfOf
object

Response

Key minted (plaintext returned once)

id
string
required
userId
string
required
userType
enum<string>
required
Available options:
user,
service-account
orgId
string | null
required
teamId
string | null
required
scopes
string[]
required
name
string | null
key
string
prefix
string | null
start
string | null
rateLimitEnabled
boolean | null
rateLimitTimeWindow
number | null
rateLimitMax
number | null
expiresAt
string | null